Heatmaps
GET https://analytics.eclick.app/api/heatmaps/
curl --request GET \
--url 'https://analytics.eclick.app/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| website_id | Optional Integer | |
| user_id | Optional Integer | |
| is_enabled | Optional Integer | Allowed values: 0, 1 |
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name, path. |
| datetime_field | Optional String | Allowed values: datetime, last_datetime |
| datetime_start | Optional String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optional String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optional String | What field to order the results by. Allowed values are: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:16",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.eclick.app/api/heatmaps?page=1",
"last": "https://analytics.eclick.app/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://analytics.eclick.app/api/heatmaps?page=1"
}
}
GET https://analytics.eclick.app/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:16",
"last_datetime": null
}
}
GET https://analytics.eclick.app/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| snapshot_type | Optional String | Allowed values: desktop, tablet, mobile |
| type | Optional String | Allowed values: clicks, scrolls |
| start_date | Optional String | Start date in Y-m-d format. |
| end_date | Optional String | End date in Y-m-d format. |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://analytics.eclick.app/api/heatmaps
| Parameters | Details | Description |
|---|---|---|
| website_id | Required Integer | |
| name | Required String | |
| path | Optional String | |
| is_enabled | Optional Integer | Allowed values: 0, 1 |
curl --request POST \
--url 'https://analytics.eclick.app/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://analytics.eclick.app/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:16",
"last_datetime": null
}
}
POST https://analytics.eclick.app/api/heatmaps/{heatmap_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | |
| is_enabled | Optional Integer | Allowed values: 0, 1 |
curl --request POST \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-07-06 15:38:16",
"last_datetime": "2026-07-06 15:38:16"
}
}
DELETE https://analytics.eclick.app/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.eclick.app/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \